---
title: "查询店铺信息"
description: "查询店铺的信息。你可以使用该接口查询店铺 ID、店铺名称、主域名、结算币种等信息"
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/store/query-store-information'
  md: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/store/query-store-information.md'
---
# 查询店铺信息

查询店铺的信息。你可以使用该接口查询店铺 ID、店铺名称、主域名、结算币种等信息

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `read_store_information`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
GET /merchants/shop.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` ：店铺的唯一标识符，值为店铺域名的前缀。例如，域名为 `open001.myshopline.com` 的店铺，其 `handle` 是 `open001` 。

## Required Permissions

* `read_store_information`

## Request

### Request Headers

* `Content-Type`

  string (required)

  字段值固定为 `application/json; charset=utf-8`。

* `Authorization`

  string (required)

  资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。

## Response

### Status Codes

* `200`

  更多状态码信息，参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。

### Response Body

#### 200

* `data`

  object

  响应数据体。

  * `sales_channels`

    array<object>

    店铺已安装的销售渠道列表。

    * `channel_handle`

      string

      销售渠道 handle 标识。

  * `updated_at`

    string

    店铺的基础配置的更新时间，基础配置包含店铺名称、域名、结算币种、邮箱、和时区。时间格式遵循[`ISO 8601`](https://en.wikipedia.org/wiki/ISO_8601)国际标准，样例：2023-04-12T22:59:52+08:00。

  * `biz_store_status`

    integer

    店铺的业务状态。有效枚举值包含：
    - `1`：待启用
    - `2`：营业中
    - `3`：已打烊
    - `4`：已冻结
    - `5`：已停用

  * `currency`

    string

    店铺与顾客结算的货币。该字段值为三位币种码，遵循[`ISO 4217`](https://en.wikipedia.org/wiki/ISO_4217)标准，例如`CNY`。

  * `customer_email`

    string

    商家的邮箱，用于与顾客联系。

  * `email`

    string

    SHOPLINE 与商家联系的邮箱。

  * `iana_timezone`

    string

    店铺配置的 [IANA 时区](https://data.iana.org/time-zones/tzdb-2021a/zone1970.tab)。

  * `created_at`

    string

    店铺创建时间。格式：[`ISO 8601`](https://en.wikipedia.org/wiki/ISO_8601)国际标准。样例：`2023-04-12T22:59:52+08:00`。

  * `merchant_id`

    string

    店铺对应的商家 ID。

  * `name`

    string

    店铺的名称。

  * `standard_logo`

    string

    店铺标准 logo。

  * `id`

    long

    店铺的唯一 ID。

  * `language`

    string

    商家和客户在消息中心部分场景进行沟通时的默认语言，你可在 SHOPLINE 商家后台 的 <strong>设置 -> 语言</strong> 内完成语言的设置。

  * `location_country_code`

    string

    店铺所在地区的国家或区域码。遵循[`ISO 3611-1`](https://en.wikipedia.org/wiki/ISO_3166-1)国际标准，例如`US`。

  * `domain`

    string

    店铺的主域名。样例：`handle.myshopline.com`


#### 401

* `errors`

  string

  错误描述。


#### 429

* `errors`

  string

  错误描述。


## OpenAPI Definition

```json
{
  "tags": [
    "查询店铺信息"
  ],
  "description": "查询店铺的信息。你可以使用该接口查询店铺 ID、店铺名称、主域名、结算币种等信息",
  "externalDocs": {
    "description": "接口使用的权限点: `read_store_information` ，更多权限点使用信息，请参考:",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=zh-hans-cn",
    "errorTableDescription": ""
  },
  "operationId": "v9nbZbRk",
  "parameters": [
    {
      "name": "Content-Type",
      "in": "header",
      "description": "字段值固定为 `application/json; charset=utf-8`。",
      "required": true,
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": "资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": "资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "responses": {
    "200": {
      "description": "更多状态码信息，参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。",
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "name": "body",
            "type": "object",
            "properties": {
              "data": {
                "name": "data",
                "description": "响应数据体。",
                "type": "object",
                "properties": {
                  "sales_channels": {
                    "name": "sales_channels",
                    "description": "店铺已安装的销售渠道列表。",
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "channel_handle": {
                          "name": "channel_handle",
                          "description": "销售渠道 handle 标识。",
                          "type": "string",
                          "example": "web"
                        }
                      },
                      "example": {
                        "channel_handle": "web"
                      }
                    },
                    "example": [
                      {
                        "channel_handle": "web"
                      }
                    ]
                  },
                  "updated_at": {
                    "name": "updated_at",
                    "description": "店铺的基础配置的更新时间，基础配置包含店铺名称、域名、结算币种、邮箱、和时区。时间格式遵循[`ISO 8601`](https://en.wikipedia.org/wiki/ISO_8601)国际标准，样例：2023-04-12T22:59:52+08:00。",
                    "type": "string",
                    "example": "2021-09-16T13:03:48+08:00"
                  },
                  "biz_store_status": {
                    "name": "biz_store_status",
                    "description": "店铺的业务状态。有效枚举值包含：\n- `1`：待启用\n- `2`：营业中\n- `3`：已打烊\n- `4`：已冻结\n- `5`：已停用",
                    "type": "integer",
                    "example": 1
                  },
                  "currency": {
                    "name": "currency",
                    "description": "店铺与顾客结算的货币。该字段值为三位币种码，遵循[`ISO 4217`](https://en.wikipedia.org/wiki/ISO_4217)标准，例如`CNY`。",
                    "type": "string",
                    "example": "USD"
                  },
                  "customer_email": {
                    "name": "customer_email",
                    "description": "商家的邮箱，用于与顾客联系。",
                    "type": "string",
                    "example": "bar@shopline.com"
                  },
                  "email": {
                    "name": "email",
                    "description": "SHOPLINE 与商家联系的邮箱。",
                    "type": "string",
                    "example": "foo@shoplineapp.com"
                  },
                  "iana_timezone": {
                    "name": "iana_timezone",
                    "description": "店铺配置的 [IANA 时区](https://data.iana.org/time-zones/tzdb-2021a/zone1970.tab)。",
                    "type": "string",
                    "example": "Asia/Shanghai"
                  },
                  "created_at": {
                    "name": "created_at",
                    "description": "店铺创建时间。格式：[`ISO 8601`](https://en.wikipedia.org/wiki/ISO_8601)国际标准。样例：`2023-04-12T22:59:52+08:00`。",
                    "type": "string",
                    "example": "2023-04-12T22:59:52+08:00"
                  },
                  "merchant_id": {
                    "name": "merchant_id",
                    "description": "店铺对应的商家 ID。",
                    "type": "string",
                    "example": "4216472541"
                  },
                  "name": {
                    "name": "name",
                    "description": "店铺的名称。",
                    "type": "string",
                    "example": "Shopline"
                  },
                  "standard_logo": {
                    "name": "standard_logo",
                    "description": "店铺标准 logo。",
                    "type": "string",
                    "example": "https://d2w9suv6wak03e.cloudfront.net/image/store/3100111249/1624603774370/32c8ea2e39ad480fa7a94d36ce013f25.png?w=102&h=113"
                  },
                  "id": {
                    "name": "id",
                    "description": "店铺的唯一 ID。",
                    "type": "long",
                    "example": 1631700219512
                  },
                  "language": {
                    "name": "language",
                    "description": "商家和客户在消息中心部分场景进行沟通时的默认语言，你可在 SHOPLINE 商家后台 的 <strong>设置 -> 语言</strong> 内完成语言的设置。",
                    "type": "string",
                    "example": "en"
                  },
                  "location_country_code": {
                    "name": "location_country_code",
                    "description": "店铺所在地区的国家或区域码。遵循[`ISO 3611-1`](https://en.wikipedia.org/wiki/ISO_3166-1)国际标准，例如`US`。",
                    "type": "string",
                    "example": "CN"
                  },
                  "domain": {
                    "name": "domain",
                    "description": "店铺的主域名。样例：`handle.myshopline.com`",
                    "type": "string",
                    "example": "handle.myshopline.com"
                  }
                },
                "example": {
                  "domain": "handle.myshopline.com",
                  "created_at": "2023-04-12T22:59:52+08:00",
                  "customer_email": "bar@shopline.com",
                  "id": 1631700219512,
                  "language": "en",
                  "biz_store_status": 1,
                  "email": "foo@shoplineapp.com",
                  "iana_timezone": "Asia/Shanghai",
                  "location_country_code": "CN",
                  "merchant_id": "4216472541",
                  "sales_channels": [
                    {
                      "channel_handle": "web"
                    }
                  ],
                  "standard_logo": "https://d2w9suv6wak03e.cloudfront.net/image/store/3100111249/1624603774370/32c8ea2e39ad480fa7a94d36ce013f25.png?w=102&h=113",
                  "updated_at": "2021-09-16T13:03:48+08:00",
                  "currency": "USD",
                  "name": "Shopline"
                }
              }
            },
            "example": {
              "data": {
                "location_country_code": "CN",
                "name": "Shopline",
                "sales_channels": [
                  {
                    "channel_handle": "web"
                  }
                ],
                "email": "foo@shoplineapp.com",
                "id": 1631700219512,
                "updated_at": "2021-09-16T13:03:48+08:00",
                "created_at": "2023-04-12T22:59:52+08:00",
                "currency": "USD",
                "iana_timezone": "Asia/Shanghai",
                "language": "en",
                "merchant_id": "4216472541",
                "biz_store_status": 1,
                "customer_email": "bar@shopline.com",
                "domain": "handle.myshopline.com",
                "standard_logo": "https://d2w9suv6wak03e.cloudfront.net/image/store/3100111249/1624603774370/32c8ea2e39ad480fa7a94d36ce013f25.png?w=102&h=113"
              }
            }
          },
          "examples": {
            "查询店铺的信息": {
              "description": "查询店铺的信息。你可以使用该接口查询店铺ID、店铺名称、主域名、结算币种等信息。",
              "value": {
                "data": {
                  "iana_timezone": "Asia/Shanghai",
                  "biz_store_status": 2,
                  "id": 1672369729606,
                  "language": "en",
                  "location_country_code": "CN",
                  "name": "OpenAPI 测试店铺",
                  "standard_logo": "",
                  "created_at": "2022-12-30T11:06:43+08:00",
                  "currency": "USD",
                  "domain": "openapiceshidianpu.preview.myshopline.com",
                  "email": "openapi_v2@shoplineapp.com",
                  "merchant_id": "2000234880",
                  "sales_channels": [
                    {
                      "channel_handle": "web"
                    },
                    {
                      "channel_handle": "post"
                    },
                    {
                      "channel_handle": "google"
                    },
                    {
                      "channel_handle": "whatsapp"
                    },
                    {
                      "channel_handle": "facebook"
                    },
                    {
                      "channel_handle": "telegram"
                    },
                    {
                      "channel_handle": "live"
                    }
                  ],
                  "customer_email": "ssc56474@gmail.com",
                  "updated_at": "2024-07-09T16:27:46+08:00"
                }
              }
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "错误描述。",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "错误描述。",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "get",
  "path": "/merchants/shop.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` ：店铺的唯一标识符，值为店铺域名的前缀。例如，域名为 `open001.myshopline.com` 的店铺，其 `handle` 是 `open001` 。"
        }
      }
    }
  ],
  "info": {
    "title": "查询店铺信息",
    "version": "v20270301"
  },
  "authIndexes": [
    "read_store_information"
  ]
}
```